#!/bin/sh
# weekly.sh - 2 Dec 2008 - Robert J. Clay
# what to do weekly for Rocasa BBBS, bbs.rocasa.us
#
BBBSDIR=/opt/bbbs
WORKDIR=$BBBSDIR/work
SCRIPTS=$BBBSDIR/scripts
NICE=/usr/bin/nice

cd $BBBSDIR

#             post info in echos & as html
#   chat.* echos
/usr/bin/at -q f -f  $SCRIPTS/chatstatswk.sh now

#   sff.* echos
/usr/bin/at -q f -f  $SCRIPTS/sffstatswk.sh now

#   pc.* echos
/usr/bin/at -q f -f  $SCRIPTS/pcstatswk.sh now

#   prog.* echos
/usr/bin/at -q f -f  $SCRIPTS/progstatwk.sh now

#   os. * echos
/usr/bin/at -q f -f  $SCRIPTS/osstatswk.sh now

#   mi.* newsgroups
/usr/bin/at -q f -f  $SCRIPTS/mistatswk.sh now

#   alt.* newsgroups
/usr/bin/at -q f -f  $SCRIPTS/altstatswk.sh now

##   *.announce newsgroups
#/usr/bin/at -q f -f  $SCRIPTS/annnntpwk.sh now

##   redhat.* newsgroups
#/usr/bin/at -q f -f  $SCRIPTS/rhnntpwk.sh now

#   ftn* echos
/usr/bin/at -q f -f  $SCRIPTS/ftnstatswk.sh now

#   en espanol
/usr/bin/at -q f -f  $SCRIPTS/adm/espnewswk.sh now

#  weekly stats
/usr/bin/at -q f -f  $SCRIPTS/bconfwk.sh now
#
#   STN Echo Stats & Listing
/usr/bin/at -q f -f  $SCRIPTS/stn/statwk.sh now

#   Create html Echo listings
/usr/bin/at -q f -f  $SCRIPTS/sh/wwb/weekly.sh now
#
/usr/bin/at -q f -f  $SCRIPTS/bconfwk.sh now
#
#$BBBSDIR/bbbs bcstat . -7 fido > $WORKDIR/bcstat.fido.wk 
#$BBBSDIR/bbbs btxt2bbs rocasa.stats $WORKDIR/bcstat.fido.wk /F Sysop /S Weekly Totals by Echo Name

# scan out msgs
$BBBSDIR/bbbs bogus a

# post ads
/usr/bin/at -q f -f  $SCRIPTS/postbbbsad.sh &

# process/save current nodelists 
/usr/bin/at -q f -f  $SCRIPTS/updnl.sh

#  Purge files
$BBBSDIR/bbbs bpurge

## send a copy of configs.zip to leois 
#/usr/bin/at -q f -f  $SCRIPTS/save2uu.sh

